recipes/config/routes.rb
Rails.application.routes.draw do
  devise_for :users, controllers: {registrations: 'registrations'}

  resources :users, only: [:show] do
    member do
      post 'create_favorite'
      delete 'delete_favorite'
    end
  end

  resources :recipes do
    member do
      get 'send_to_friend', as: :send_to_friend
      post 'mail_to_friend', as: :mail_to_friend
    end
  end

  resources :food_preferences, only: [:show, :new, :create]
  resources :food_types, only: [:show, :new, :create]
  resources :kitchens, only: [:show, :new, :create]
  root 'recipes#index'

end

recipes/app/views/shared/_aside_menu.html.erb
<aside class='col-sm-12 col-md-2'>
  <div class='row aside-menu'>
    <h4 class='aside-title'><a href='#preferences' data-toggle='collapse'>Preferência
    <span class='glyphicon glyphicon-menu-down'></span></a> </h4>
    <div class='panel-collapse collapse' id='preferences'>
      <div class='btn-group-vertical'>
        <hr>
        <%= render partial: 'food_preferences/food_preference', collection: @food_preferences %>
        <hr>
      </div>
    </div>
  </div>

  <div class='row aside-menu'>
    <h4 class='aside-title'><a href='#food_types' data-toggle='collapse'>Tipo
    <span class='glyphicon glyphicon-menu-down'></span></a></h4>
    <div class='panel-collapse collapse' id='food_types'>
      <div class='btn-group-vertical'>
        <hr>
        <%= render partial: 'food_types/food_type', collection: @food_types %>
        <hr>
      </div>
    </div>
  </div>

  <div class='row aside-menu'>
    <h4 class='aside-title'><a href='#kitchens' data-toggle='collapse'>Cozinha
    <span class='glyphicon glyphicon-menu-down'></span></a></h4>
    <div class='panel-collapse collapse' id='kitchens'>
      <div class='btn-group-vertical'>
        <hr>
        <%= render partial: 'kitchens/kitchen', collection: @kitchens %>
        <hr>
      </div>
    </div>
  </div>
</aside>

recipes/app/views/shared/_logged_options.html.erb
<li><%=link_to 'Cadastrar receita', new_recipe_path%></li>
<li><%=link_to 'Minhas receitas', user_path(current_user)%></li>
<% if @user == current_user %>
  <li><%=link_to 'Meus dados', edit_user_registration_path(current_user)%></li>
<% end %>
<li><%=link_to 'Sair', destroy_user_session_path, method: :delete%></li>

recipes/app/views/shared/_login.html.erb
<% unless user_signed_in? %>
  <li><%= link_to new_user_session_path do %>
    <span class="glyphicon glyphicon-log-in"></span> Login
  <% end %></li>
  <li><%= link_to new_user_registration_path do %>
    <span class="glyphicon glyphicon-user"></span> Sign up
  <% end %></li>
<% else %>
  <li><%= link_to( destroy_user_session_path, {method: :delete}) do %>
    <span class="glyphicon glyphicon-log-out"></span> Logout
  <% end %></li>
<% end %>

recipes/app/views/shared/_menu_bar.html.erb
<nav class='navbar navbar-fixed-top'>
  <div class='container-fluid'>
    <div class='navbar-header'>
      <h1><%=link_to 'Social Recipes', root_path, class:'navbar-brand'%></h1>
      <button type="button" class="navbar-toggle collapsed" data-toggle="collapse" data-target="#menu" aria-expanded="false">
        <span class="icon-bar"></span>
        <span class="icon-bar"></span>
        <span class="icon-bar"></span>
      </button>
    </div>

    <div class="collapse navbar-collapse" id="menu">
      <ul class='nav navbar-nav'>
        <li><%=link_to 'Início',root_path%></li>
        <% if user_signed_in? %>
          <%= render 'shared/logged_options'%>
        <% end %>
      </ul>

      <ul class='nav navbar-nav navbar-right'>
        <%= render 'shared/login' %>
      </ul>
    </div>
  </div>
</nav>

recipes/app/views/shared/_show_recipes.html.erb
<section class='col-md-6 col-sm-12 last-recipes'>
  <h2 class='title'>Últimas receitas</h2>
  <%= render partial: 'recipes/recipe_brief', collection: last_recipes %>
</section>
<section class='col-md-6 col-sm-12 favorites'>
  <h2 class='title'>Favoritas dos usuários</h2>
  <%= render partial: 'recipes/recipe_brief', collection: favorites %>
</section>